phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Istvan Toth (Jira)" <j...@apache.org>
Subject [jira] [Updated] (TEPHRA-309) Add HBase 1.6 compatibility
Date Tue, 04 Aug 2020 05:21:00 GMT

     [ https://issues.apache.org/jira/browse/TEPHRA-309?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Istvan Toth updated TEPHRA-309:
-------------------------------
    Description: 
We have added support for HBase 1.6 in Phoenix, but not in Tephra.

While this is not detected by the Phoenix test suite due to the simplified Tephra implementation
it uses with minicluster, this means that Phoenix 4.x on HBase 1.6 cannot use Tephra on a
real cluster.

 

  was:
We have added support for HBase 1.5 and 1.6 in Phoenix, but not in Tephra.

While this is not detected by the Phoenix test suite due to the simplified Tephra implementation
it uses with minicluster, this means that Phoenix 4.x on HBase 1.5 and 1.6 cannot use Tephra
on a real cluster.

The 1.5 and 1.6 compat modules can probably share code (like 2.0 2.1 and 2.2 does), and may
possibly even re-use the 1.4 compat code.

        Summary: Add HBase 1.6 compatibility  (was: Add HBase 1.5 and 1.6 compatibility)

> Add HBase 1.6 compatibility
> ---------------------------
>
>                 Key: TEPHRA-309
>                 URL: https://issues.apache.org/jira/browse/TEPHRA-309
>             Project: Phoenix Tephra
>          Issue Type: Task
>    Affects Versions: 0.15.0-incubating
>            Reporter: Istvan Toth
>            Assignee: Poorna Chandra
>            Priority: Critical
>
> We have added support for HBase 1.6 in Phoenix, but not in Tephra.
> While this is not detected by the Phoenix test suite due to the simplified Tephra implementation
it uses with minicluster, this means that Phoenix 4.x on HBase 1.6 cannot use Tephra on a
real cluster.
>  



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message